<form class="login-form" {{on "submit" this.authenticate}}>
  <p class="login-form__information">{{t "common.form.mandatory-all-fields"}}</p>

  <PixInput
    @id="login-email"
    @label={{t "pages.login-or-register.login-form.fields.email.label"}}
    name="login"
    type="email"
    {{on "focusout" this.validateEmail}}
    {{on "input" this.updateEmail}}
    required={{true}}
    aria-required={{true}}
    autocomplete="email"
    @validationStatus={{this.validation.email.status}}
    @errorMessage={{this.validation.email.message}}
  />

  <PixInputPassword
    @id="login-password"
    name="password"
    @label={{t "pages.login-or-register.login-form.fields.password.label"}}
    autocomplete="current-password"
    required={{true}}
    aria-required={{true}}
    {{on "focusout" this.validatePassword}}
    {{on "input" this.validatePassword}}
    @validationStatus={{this.validation.password.status}}
    @errorMessage={{this.validation.password.message}}
  />

  {{#if this.isErrorMessagePresent}}
    <PixMessage @type="alert">
      {{this.errorMessage}}
    </PixMessage>
  {{/if}}

  <PixButton @type="submit" @isLoading={{this.isLoading}}>
    {{t "pages.login-or-register.login-form.login"}}
  </PixButton>

  <div>
    <div class="login-form__forgotten-password">
      <a href={{this.forgottenPasswordUrl}} target="_blank" rel="noopener noreferrer" class="link">
        {{t "pages.login-or-register.login-form.fields.password.forgot-password"}}
      </a>
    </div>
  </div>
</form>